```@meta
CurrentModule = Parquet2
```

# API

```@index
```

## Basic Usage
```@docs
Dataset
readfile

FileWriter
writefile

ColumnOption
RowGroup
Column
load
metadata
ndistinct
writeiterable!
```

## Schema and Introspection
```@docs
SchemaNode
PartitionNode
Page
ColumnStatistics
VectorWithStatistics
ndistinct

PageHeader
DataPageHeader
DictionaryPageHeader

parqtype
juliatype
juliamissingtype
nvalues
iscompressed
isdictencoded
pages
pages!
```

## Internals
See [Internals](@ref internals_api).
